
package net.mcreator.mechanismgeneration.block;

import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.SoundType;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.core.BlockPos;

import net.mcreator.mechanismgeneration.procedures.UngravityCzerwonyProszekWlaczonyProcedure;

public class UngravityBlock extends Block {
	public UngravityBlock() {
		super(BlockBehaviour.Properties.of().sound(SoundType.METAL).strength(9999f, 100f));
	}

	@Override
	public int getLightBlock(BlockState state, BlockGetter worldIn, BlockPos pos) {
		return 15;
	}

	@Override
	public void neighborChanged(BlockState blockstate, Level world, BlockPos pos, Block neighborBlock, BlockPos fromPos, boolean moving) {
		super.neighborChanged(blockstate, world, pos, neighborBlock, fromPos, moving);
		if (world.getBestNeighborSignal(pos) > 0) {
			UngravityCzerwonyProszekWlaczonyProcedure.execute(world, pos.getX(), pos.getY(), pos.getZ());
		}
	}
}
