
/*
 *	MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.mechanismgeneration.init;

import org.lwjgl.glfw.GLFW;

import net.neoforged.neoforge.network.PacketDistributor;
import net.neoforged.neoforge.event.TickEvent;
import net.neoforged.neoforge.client.event.RegisterKeyMappingsEvent;
import net.neoforged.fml.common.Mod;
import net.neoforged.bus.api.SubscribeEvent;
import net.neoforged.api.distmarker.Dist;

import net.minecraft.client.Minecraft;
import net.minecraft.client.KeyMapping;

import net.mcreator.mechanismgeneration.network.ArrowUptomoveupgravityMessage;
import net.mcreator.mechanismgeneration.network.ArrowDownmovedowngravityMessage;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = {Dist.CLIENT})
public class MechanismgenerationModKeyMappings {
	public static final KeyMapping ARROW_UPTOMOVEUPGRAVITY = new KeyMapping("key.mechanismgeneration.arrow_uptomoveupgravity", GLFW.GLFW_KEY_UP, "key.categories.movement") {
		private boolean isDownOld = false;

		@Override
		public void setDown(boolean isDown) {
			super.setDown(isDown);
			if (isDownOld != isDown && isDown) {
				PacketDistributor.SERVER.noArg().send(new ArrowUptomoveupgravityMessage(0, 0));
				ArrowUptomoveupgravityMessage.pressAction(Minecraft.getInstance().player, 0, 0);
			}
			isDownOld = isDown;
		}
	};
	public static final KeyMapping ARROW_DOWNMOVEDOWNGRAVITY = new KeyMapping("key.mechanismgeneration.arrow_downmovedowngravity", GLFW.GLFW_KEY_DOWN, "key.categories.movement") {
		private boolean isDownOld = false;

		@Override
		public void setDown(boolean isDown) {
			super.setDown(isDown);
			if (isDownOld != isDown && isDown) {
				PacketDistributor.SERVER.noArg().send(new ArrowDownmovedowngravityMessage(0, 0));
				ArrowDownmovedowngravityMessage.pressAction(Minecraft.getInstance().player, 0, 0);
			}
			isDownOld = isDown;
		}
	};

	@SubscribeEvent
	public static void registerKeyMappings(RegisterKeyMappingsEvent event) {
		event.register(ARROW_UPTOMOVEUPGRAVITY);
		event.register(ARROW_DOWNMOVEDOWNGRAVITY);
	}

	@Mod.EventBusSubscriber({Dist.CLIENT})
	public static class KeyEventListener {
		@SubscribeEvent
		public static void onClientTick(TickEvent.ClientTickEvent event) {
			if (Minecraft.getInstance().screen == null) {
				ARROW_UPTOMOVEUPGRAVITY.consumeClick();
				ARROW_DOWNMOVEDOWNGRAVITY.consumeClick();
			}
		}
	}
}
